Bug 1563829

Summary: Null pointer in noveau
Product: [Fedora] Fedora Reporter: Julian Coleman <jcoleman>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 28CC: airlied, ajax, bskeggs, dlucas, jglisse
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 20:04:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Julian Coleman 2018-04-04 20:16:55 UTC
Description of problem:

Screen freezes.  Have to connect remotely and reboot.

How reproducible:
Random

Additional info:

Hardware Nvidia FX5600 connected to 2 displays via DVI, both at resolution 1920x1200

From journalctl:

Apr 04 20:00:00 hera kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000040
Apr 04 20:00:00 hera kernel: IP: nouveau_mem_host+0x47/0x1b0 [nouveau]
Apr 04 20:00:01 hera kernel: PGD 33df53067 P4D 33df53067 PUD 31afcb067 PMD 0 
Apr 04 20:00:01 hera kernel: Oops: 0000 [#1] SMP NOPTI
Apr 04 20:00:01 hera kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt
Apr 04 20:00:01 hera kernel:  snd_timer snd k8temp soundcore shpchp nv_tco i2c_nforce2 binfmt_misc dm_crypt raid1 ata_generic nouveau video mxm_wmi wmi i2c_
Apr 04 20:00:01 hera kernel: CPU: 2 PID: 2966 Comm: Xorg Not tainted 4.15.13-300.fc27.x86_64 #1
Apr 04 20:00:01 hera kernel: Hardware name: Sun Microsystems Sun Ultra 40 M2 Workstation/Sun Ultra 40 M2 Workstation, BIOS 1.24  07/07/2008
Apr 04 20:00:01 hera kernel: RIP: 0010:nouveau_mem_host+0x47/0x1b0 [nouveau]
Apr 04 20:00:01 hera kernel: RSP: 0018:ffff986a84c8f800 EFLAGS: 00010246
Apr 04 20:00:01 hera kernel: RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000119695200
Apr 04 20:00:01 hera kernel: RDX: ffff8d5655cfad80 RSI: ffff8d576cd32480 RDI: ffff986a84c8f958
Apr 04 20:00:01 hera kernel: RBP: ffff8d576cd32f00 R08: ffff8d576cd324d8 R09: ffffffffc0398133
Apr 04 20:00:01 hera kernel: R10: ffffc59e8c1ad340 R11: 0000000000000de0 R12: ffff986a84c8f958
Apr 04 20:00:01 hera kernel: R13: 0000000000000000 R14: ffff8d576cd32f00 R15: ffff986a84c8f958
Apr 04 20:00:01 hera kernel: FS:  00007fb1e9fb8a80(0000) GS:ffff8d57dfc00000(0000) knlGS:0000000000000000
Apr 04 20:00:01 hera kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Apr 04 20:00:01 hera kernel: CR2: 0000000000000040 CR3: 000000033dc86000 CR4: 00000000000006e0
Apr 04 20:00:01 hera kernel: Call Trace:
Apr 04 20:00:01 hera kernel:  nv50_sgdma_bind+0x18/0x30 [nouveau]
Apr 04 20:00:01 hera kernel:  ttm_tt_bind+0x3f/0x60 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_bo_handle_move_mem+0x5da/0x610 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_bo_evict+0x14d/0x330 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_mem_evict_first+0x161/0x1d0 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_bo_mem_space+0x344/0x4c0 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_bo_validate+0xce/0x150 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_bo_init_reserved+0x385/0x430 [ttm]
Apr 04 20:00:01 hera kernel:  ttm_bo_init+0x2f/0x90 [ttm]
Apr 04 20:00:01 hera kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Apr 04 20:00:01 hera kernel:  ? _cond_resched+0x15/0x40
Apr 04 20:00:01 hera kernel:  nouveau_bo_new+0x416/0x590 [nouveau]
Apr 04 20:00:01 hera kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Apr 04 20:00:01 hera kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Apr 04 20:00:01 hera kernel:  nouveau_gem_new+0x5d/0x120 [nouveau]
Apr 04 20:00:01 hera kernel:  nouveau_gem_ioctl_new+0x51/0xd0 [nouveau]
Apr 04 20:00:01 hera kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
Apr 04 20:00:01 hera kernel:  drm_ioctl+0x2d5/0x370 [drm]
Apr 04 20:00:01 hera kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Apr 04 20:00:01 hera kernel:  nouveau_drm_ioctl+0x64/0xc0 [nouveau]
Apr 04 20:00:01 hera kernel:  do_vfs_ioctl+0xa4/0x620
Apr 04 20:00:01 hera kernel:  SyS_ioctl+0x74/0x80
Apr 04 20:00:01 hera kernel:  do_syscall_64+0x74/0x180
Apr 04 20:00:01 hera kernel:  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Apr 04 20:00:01 hera kernel: RIP: 0033:0x7fb1e72a30f7
Apr 04 20:00:01 hera kernel: RSP: 002b:00007ffef914c558 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Apr 04 20:00:01 hera kernel: RAX: ffffffffffffffda RBX: 00000000021154b0 RCX: 00007fb1e72a30f7
Apr 04 20:00:01 hera kernel: RDX: 00007ffef914c5b0 RSI: 00000000c0306480 RDI: 000000000000000f
Apr 04 20:00:01 hera kernel: RBP: 00007ffef914c5b0 R08: 0000000000000000 R09: 0000000000000006
Apr 04 20:00:01 hera kernel: R10: 0000000000ece010 R11: 0000000000000246 R12: 00000000c0306480
Apr 04 20:00:01 hera kernel: R13: 000000000000000f R14: 00000000020d9f68 R15: 0000000000f47780
Apr 04 20:00:01 hera kernel: Code: 04 25 28 00 00 00 48 89 44 24 20 31 c0 49 8b 1e 48 c7 44 24 08 00 00 00 00 48 c7 44 24 10 00 00 00 00 48 c7 44 24 18 00 0
Apr 04 20:00:01 hera kernel: RIP: nouveau_mem_host+0x47/0x1b0 [nouveau] RSP: ffff986a84c8f800
Apr 04 20:00:01 hera kernel: CR2: 0000000000000040
Apr 04 20:00:01 hera kernel: ---[ end trace e5679f79e50d6e7d ]---
Apr 04 20:00:02 hera abrt-dump-journal-oops[1200]: abrt-dump-journal-oops: Found oopses: 1
Apr 04 20:00:02 hera abrt-dump-journal-oops[1200]: abrt-dump-journal-oops: Creating problem directories
Apr 04 20:00:03 hera abrt-server[24841]: Can't find a meaningful backtrace for hashing in '.'
Apr 04 20:00:03 hera abrt-server[24841]: Option 'DropNotReportableOopses' is not configured
Apr 04 20:00:03 hera abrt-server[24841]: Preserving oops '.' because DropNotReportableOopses is 'no'
Apr 04 20:00:03 hera abrt-dump-journal-oops[1200]: Reported 1 kernel oopses to Abrt
Apr 04 20:00:03 hera abrt-notification[24859]: System encountered a non-fatal error in ??()

Comment 1 Ben Cotton 2019-05-02 21:51:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 20:04:56 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.